org.tmatesoft.svn.core.wc2

## Class SvnGetChangelistPaths

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<java.lang.String>
    - - org.tmatesoft.svn.core.wc2.SvnGetChangelistPaths

All Implemented Interfaces:
  ISvnObjectReceiver<java.lang.String>, ISvnOperationOptionsProvider

    public class SvnGetChangelistPaths
    extends SvnReceivingOperation<java.lang.String>

Gets paths belonging to the specified `changelists` discovered under the specified `targets`.

Note: this method does not require repository access. `SvnOperation.run()` method returns a list of `String` representing all paths belonging to changelist.

Version:
  1.7
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
`protected` `SvnGetChangelistPaths(SvnOperationFactory factory)`

### Method Summary

Methods
`protected int` `getMaximumTargetsCount()`
`boolean` `isChangesWorkingCopy()` Gets whether the operation changes working copy

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnGetChangelistPaths

    protected SvnGetChangelistPaths(SvnOperationFactory factory)

### Method Detail

#### getMaximumTargetsCount

    protected int getMaximumTargetsCount()

Overrides:
  `getMaximumTargetsCount` in class `SvnOperation<java.lang.String>`

#### isChangesWorkingCopy

    public boolean isChangesWorkingCopy()

Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<java.lang.String>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`